Bug 1177785 - add hawkey.Selector epoch support
add hawkey.Selector epoch support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
: Triaged
: 1235453 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-30 07:16 EST by Hedayat Vatankhah
Modified: 2016-12-02 10:19 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-02 10:19:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2014-12-30 07:16:17 EST
Description of problem:

I think it says it is clear from below commands:

[root@hedayat fedora-pkgs]dnf info qt-devel-4.8.6-18.fc21.x86_64
Installed Packages
Name        : qt-devel
Arch        : x86_64
Epoch       : 1
Version     : 4.8.6
Release     : 18.fc21
Size        : 34 M
Repo        : @System
From repo   : _local
Summary     : Development files for the Qt toolkit
URL         : http://qt-project.org/
License     : (LGPLv2 with exceptions or GPLv3 with exceptions) and ASL 2.0 and BSD and FTL and MIT
Description : This package contains the files necessary to develop
            : applications using the Qt toolkit.  Includes:
            : Qt Linguist

[root@hedayat fedora-pkgs]# dnf install qt-devel-4.8.6-18.fc21.x86_64
No package qt-devel-4.8.6-18.fc21.x86_64 available.
Error: Nothing to do.

[root@hedayat fedora-pkgs]# yum install qt-devel-4.8.6-18.fc21.x86_64
Loaded plugins: langpacks, local, yum-fast-downloader
Package 1:qt-devel-4.8.6-18.fc21.x86_64 already installed and latest version
Nothing to do
Comment 1 Honza Silhan 2015-01-15 08:57:24 EST
Thanks for the report. This command works: `dnf install qt-devel-1:4.8.6-18.fc21.x86_64`. The problem is in hawkey.Selector where we expect that epoch is 0. Michael, take a look, please. We should support arguments `epoch` and `release` in hawkey.Selector constructor if possible.
Comment 2 Honza Silhan 2015-07-29 07:53:53 EDT
*** Bug 1235453 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2015-11-04 10:19:38 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jan Kurik 2016-02-24 08:18:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Honza Silhan 2016-11-10 07:47:06 EST
FTR this can be done through query and using new support of Selector.set(pkg=...).
Comment 6 Jaroslav Mracek 2016-11-14 03:30:48 EST
The problem is solved by PR: https://github.com/rpm-software-management/dnf/pull/647.
It simply use query and selector pkg flag to prevent a problems with epoch and selectors.

Note You need to log in before you can comment on or make changes to this bug.